"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3940>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB39D0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3A60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3AF0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3B80>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3C10>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3CA0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3D30>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3DC0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3E50>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3EE0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BB3F70>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD040>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD0D0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD160>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD1F0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD280>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD310>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD3A0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD430>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD4C0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD550>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD5E0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD670>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD790>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD700>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD820>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD8B0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD940>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBD9D0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDA60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDAF0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDB80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDC10>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDCA0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDD30>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDDC0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDE50>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDEE0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BBDF70>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1040>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC10D0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1160>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC11F0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1280>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1310>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC13A0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1430>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC14C0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1550>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC15E0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1670>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1700>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1790>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1820>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC18B0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1940>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC19D0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1A60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1AF0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1B80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1C10>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1CA0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1D30>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1DC0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1F70>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC1E50>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4040>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC40D0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4160>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC41F0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4280>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC43A0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4310>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4430>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC44C0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4550>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4670>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC45E0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4700>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4790>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4820>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC48B0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC4940>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023F60BC49D0>)]
name: str = 'fr_HOCCN'
